{% extends 'utils/_table_layout.html' %}

{% block content_title %}Password list{% endblock %}

{% block link %}
    {{ super() }}
    <script src="https://unpkg.com/string-similarity/umd/string-similarity.min.js"></script>
    <script src="{{ static('js/includes/utils.js') }}"></script>
    <script src="{{ static('js/password_tag/itemList.js') }}"></script>
{% endblock %}


{% block before_table %}
    <div class="columns">
        <div class="column is-one-quarter">
            <div class="field has-addons">
                <div class="control" style="width: 100%">
                    <input 
                        id="search-input" 
                        class="input" 
                        type="text" 
                        placeholder="Search"
                    >
                </div>
                <div class="control">
                    <button id="search-button" class="button is-info">Search</button>
                </div>
            </div>
        </div>
        <div class="column text-right">
            <a href="{{ url('index') }}" id="go-back" class="button">
                <div class="flex is-align-items-center is-justify-content-center">
                    <i class="fa-solid fa-arrow-left"></i>
                    Back
                </div>
            </a>
        </div>
    </div>
{% endblock %}

{% set header_columns = ['Shared by', 'Shared with', 'Username', 'Password', 'Url', 'Shared at', ''] %}
{% set data_items = shared_password_tags %}

{% block table_colgroup %}
    <col span="1" style="width: 10%">
    <col span="1" style="width: 10%">
    <col span="1" style="width: 10%">
    <col span="1" style="width: 25%">
    <col span="1" style="width: 20%">
    <col span="1" style="width: 15%">
    <col span="1" style="width: 10%">
{% endblock %}

{% block table_tbody %}
    {% for data in data_items %}
        <tr data-id="{{ data.password_tag.id }}">
            <td class="td-centered">
                {{ data.user_from_username + " (me)" if data.user_from_username == request.user.username else data.user_from_username }}
            </td>            
            <td class="td-centered">
                {{ data.user_to_username}}
            </td>
            <td class="td-centered">
                {{ data.password_tag.username }}
            </td>
            <td class="td-centered">
                <div class="is-flex td-password">
                    <span data-id="password-{{ data.password_tag.id }}">{{ data.password_tag.password }}</span>
                    <a id="toogleShowPassword" class="button">
                        <i class="fa-solid fa-eye"></i>
                    </a>
                </div>
            </td>
            <td class="td-centered">
                <a data-id="data-url" class="is-link" target="_blank" href="{{ data.password_tag.url }}">{{ data.password_tag.url|truncate(25) }}</a>
            </td>            
            <td class="td-centered">
                <p>{{ data.created_at | format_date('%Y-%m-%d %H:%M:%S') }}</p>
            </td>
            <td>
                <div class="d-flex justify-content-end is-gapless-20">
                    {% if data.user_from_username == request.user.username %}                        
                        <a href="{{ url('update_share', pk=data.id) }}" class="button">
                            <i class="fa-solid fa-pen-to-square" style="color: blue;"></i>
                        </a>
                    {% endif %}
                    <button class="button"
                            data-title="Delete {{ data.password_tag.username }}"
                            data-body="Would you like to delete {{ data.password_tag.username }} ?"
                            data-target="delete-modal"
                            data-url="{{ url('delete_share', pk=data.id) }}"
                        >
                        <i class="fa-solid fa-trash" style="color: #db0000;"></i>                    
                    </button>
                </div>
            </td>
        </tr>
    {% endfor %}
{% endblock %}
